2. PHP Version nach HowTo

Dieses Thema im Forum "Installation und Konfiguration" wurde erstellt von GTB, 13. Juni 2013.

  1. GTB

    GTB Member

    Hallo,


    ich habe eine 2te PHP Version nach diesem HowTo installiert:

    How To Use Multiple PHP Versions (PHP-FPM & FastCGI) With ISPConfig 3 (Debian Wheezy) | HowtoForge - Linux Howtos and Tutorials

    Sobald ich aber mit FastCGI und PHP5.3 schalte, dann bekomme ich einen 500

    Server ist Debian Wheezy mit ISPConfig.


    Das sagt mein error_log:
    Code:
    Premature end of script headers: index.php
    (104)Connection reset by peer: mod_fcgid: error reading data from FastCGI server
    Hat wer einen Tip für mich ?


    Danke.
     
  2. GTB

    GTB Member

    So, PHP5.3 funktioniert. Hatte eine Config in ISP falsch.

    Jetzt war ich so frei und habe das auch mit PHP=5.2.17 gemacht.

    Da bekomme ich wieder die gleiche Fehlermeldung. Diesmal habe ich die Config aber korrekt gemacht.

    Zusätzlich finde ich im Apache access.log das hier:

    Code:
    [error] python_init: Python version mismatch, expected '2.7.2+', found '2.7.3'
    [error] python_init: Python executable found '/usr/bin/python'.
    [error] python_init: Python path being used '/usr/lib/python2.7/:/usr/lib/python2.7/plat-linux2:/usr/lib/python2.7/lib-tk:/usr/lib/python2.7/lib-old:/usr/lib/python2.7/lib-dynload'.

    Hat wer einen Tip für mich ?
     

Diese Seite empfehlen